muParser: mu::Test::ParserTester Class Reference

# mu::Test::ParserTester Class Reference

Test cases for unit testing. More...

`#include <muParserTest.h>`

List of all members.

## Public Types
typedef int(ParserTester::* | testfun_type )()
## Public Member Functions
void | Run ()
## Private Member Functions
int | TestNames ()
| Check muParser name restriction enforcement.
int | TestSyntax ()
int | TestMultiArg ()
int | TestVolatile ()
| Test volatile (nonoptimizeable functions).
int | TestPostFix ()
int | TestExpression ()
int | TestInfixOprt ()
int | TestBinOprt ()
int | TestVarConst ()
int | TestInterface ()
int | TestException ()
int | TestStrArg ()
void | Abort () const
| Internal error in test class Test is going to be aborted.
void | AddTest (testfun_type a_pFun)
int | EqnTest (const string_type &a_str, double a_fRes, bool a_fPass)
| Evaluate a tet expression.
int | ThrowTest (const string_type &a_str, int a_iErrc, bool a_bFail=true)
int | EqnTestInt (const string_type &a_str, double a_fRes, bool a_fPass)
## Static Private Member Functions
static value_type | f1of1 (value_type v)
static value_type | f1of2 (value_type v, value_type)
static value_type | f2of2 (value_type, value_type v)
static value_type | f1of3 (value_type v, value_type, value_type)
static value_type | f2of3 (value_type, value_type v, value_type)
static value_type | f3of3 (value_type, value_type, value_type v)
static value_type | f1of4 (value_type v, value_type, value_type, value_type)
static value_type | f2of4 (value_type, value_type v, value_type, value_type)
static value_type | f3of4 (value_type, value_type, value_type v, value_type)
static value_type | f4of4 (value_type, value_type, value_type, value_type v)
static value_type | f1of5 (value_type v, value_type, value_type, value_type, value_type)
static value_type | f2of5 (value_type, value_type v, value_type, value_type, value_type)
static value_type | f3of5 (value_type, value_type, value_type v, value_type, value_type)
static value_type | f4of5 (value_type, value_type, value_type, value_type v, value_type)
static value_type | f5of5 (value_type, value_type, value_type, value_type, value_type v)
static value_type | Min (value_type a_fVal1, value_type a_fVal2)
static value_type | Max (value_type a_fVal1, value_type a_fVal2)
static value_type | plus2 (value_type v1)
static value_type | times3 (value_type v1)
static value_type | sqr (value_type v1)
static value_type | sign (value_type v)
static value_type | FirstArg (const value_type *a_afArg, int a_iArgc)
static value_type | LastArg (const value_type *a_afArg, int a_iArgc)
static value_type | Sum (const value_type *a_afArg, int a_iArgc)
static value_type | Rnd (value_type v)
static value_type | RndWithString (const char_type *)
static value_type | Ping ()
static value_type | ValueOf (const char_type *)
static value_type | StrFun1 (const char_type *v1)
static value_type | StrFun2 (const char_type *v1, value_type v2)
static value_type | StrFun3 (const char_type *v1, value_type v2, value_type v3)
static value_type | StrToFloat (const char_type *a_szMsg)
static value_type | Milli (value_type v)
## Private Attributes
std::vector< testfun_type > | m_vTestFun
## Static Private Attributes
static int | c_iCount = 0

## Detailed Description

Test cases for unit testing.

(C) 2004-2006 Ingo Berg

## Member Function Documentation

int mu::Test::ParserTester::EqnTest | ( | const string_type & | a_str,
|  | double | a_fRes,
|  | bool | a_fPass |
| ) |  |  | `[private]`

Evaluate a tet expression.

Returns:
  1 in case of a failure, 0 otherwise.

References mu::console(), mu::ParserBase::DefineConst(), mu::ParserBase::DefineInfixOprt(), mu::ParserBase::DefinePostfixOprt(), mu::ParserBase::DefineVar(), mu::ParserBase::EnableOptimizer(), mu::ParserBase::Eval(), mu::ParserError::GetMsg(), PARSER_CONST_E, PARSER_CONST_PI, mu::prPOW, and mu::ParserBase::SetExpr().

The documentation for this class was generated from the following files:

- muParserTest.h
- muParserTest.cpp